// Marble.h

// Copyright (c) 2002 By Spencer T. Parkin

enum MarbleColor
{
	NULL_MARBLE,
	RED_MARBLE,
	GREEN_MARBLE,
	BLUE_MARBLE,
	MAGENTA_MARBLE,
	CYAN_MARBLE,
	YELLOW_MARBLE,
};

class Marble
{
	public:

	Marble();
	~Marble();

	void Render(GLenum Mode);

	MarbleColor Color;
};

#define GAME_PEICES		60

extern Marble GamePeices[GAME_PEICES];

void SpecifyMarbleColor(MarbleColor Color);
void DrawTriangle(GLfloat *v0, GLfloat *v1, GLfloat *v2, int SubDivDepth);
void Normalize(GLfloat *Vec);

// Marble.h