// Move.h

// Copyright (c) 2002 By Spencer T. Parkin

extern Node *JumpingNode;
extern GLfloat JumpAxis[2][3];
extern GLfloat JumpAngle;

#define PI			3.141592653f
#define TWO_PI		(2.f * PI)
#define JUMP_ANGLE	(PI / 10.f)

int MakeMove(Node *Src, Node *Dst);
int FindMove(Node *Src, Node *Dst, int Jump1, int Jump2);
Node *JumpMarble(Node *N);
void CompletePendingMove(void);
void AnimateMovingMarbles(void);

// Move.h