// Board.h

// Copyright (c) 2002 By Spencer T. Parkin

#define NODE_MOVES		6

class Node
{
	public:

	Node();
	~Node();

	void CalcBoardGeometry(GLfloat X, GLfloat Y, GLfloat Z);

	GLfloat X, Y, Z;
	MarbleColor Color;
	Marble *Mbl;
	Node *Move[NODE_MOVES];
	Node *Jump;
	int DrawLine[NODE_MOVES];
	int Calc, Search;
};

void MakeGameBoard(void);
void ResetGameBoard(void);
void RenderGameBoard(GLenum Mode);
Node *PickNode(int X, int Y);

// Board.h